org.apache.avro.perf.test.record

## Class ResolvingRecordTest

- java.lang.Object
- - org.apache.avro.perf.test.record.ResolvingRecordTest

Direct Known Subclasses:
  ResolvingRecordTest_jmhType_B1

    public class ResolvingRecordTest
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ResolvingRecordTest.TestStateDecode`

### Constructor Summary

Constructors
Constructor and Description
`ResolvingRecordTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decode(ResolvingRecordTest.TestStateDecode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolvingRecordTest

    public ResolvingRecordTest()

### Method Detail

#### decode

    public void decode(ResolvingRecordTest.TestStateDecode state)
                throws Exception

Throws:
  `Exception`